Jump to content

Problem Installing Modules


Recommended Posts

I had to reflash my pineapple markIV and now when i try to install modules i get the following error: file_get_contents(/tmp/modules/mk4-module-sitesurvey-1.6/module.conf) [function.file-get-contents]: failed to open stream: No such file or directory in /www/pineapple/modules.php on line 10

Already installed

The only modules am able to install are eviljava, tcpdump, sslstrip, and urlsnarf.

Any help would be appreciated thanks

Link to comment
Share on other sites

I had to reflash my pineapple markIV and now when i try to install modules i get the following error: file_get_contents(/tmp/modules/mk4-module-sitesurvey-1.6/module.conf) [function.file-get-contents]: failed to open stream: No such file or directory in /www/pineapple/modules.php on line 10

Already installed

The only modules am able to install are eviljava, tcpdump, sslstrip, and urlsnarf.

Any help would be appreciated thanks

If I was to guess it's because site survey just had an update to 1.6? maybe it's been changed for the new modules system that has been rumored to be released soon;-)

Link to comment
Share on other sites

Would make it break since in the tar.gz file that gets submitted contains a folder name mk4-module-name-version and module.php is reading the new version 1.1 instead of the old format 1.0.1

Looks like I have work to do when I get home today and repackage the ddns module.

Link to comment
Share on other sites

What surprises me is that I did not pushed any 1.6 version of the site survey :blink:

It seems that all my modules with a version number composed of 3 digits have change. I guess Seb has normalized version number. Seb, can you bring some light here ? ;)

Edited by Whistle Master
Link to comment
Share on other sites

What surprises me is that I did not pushed any 1.6 version of the site survey :blink:

It seems that all my modules with a version number composed of 3 digits have change. I guess Seb has normalized version number. Seb, can you bring some light here ? ;)

These changes were made to aid the new module system (tba soon). Sadly I forgot to go into every module and update the files.

I am fixing this now.

Edit:

Everything should be fixed now.

Terribly sorry for the downtime!

Link to comment
Share on other sites

I am still having the same problems as before. I keep getting the same error when i try to install modules.

Warning: file_get_contents(/tmp/modules/mk4-module-nmap-1.2/module.conf) [function.file-get-contents]: failed to open stream: No such file or directory in /www/pineapple/modules.php on line 10

Already installed

Link to comment
Share on other sites

me too!!!

Warning: file_get_contents() [function.file-get-contents]: php_network_getaddresses: getaddrinfo failed: Name or service not known in /www/pineapple/modules.php on line 92

Warning: file_get_contents(http://cloud.wifipineapple.com/mk4/downloads.php?moduleList) [function.file-get-contents]: failed to open stream: Address family not supported by protocol in /www/pineapple/modules.php on line 92

Module Version Author Description

Edited by abxy007
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...